function [out] = sat(t, NO, NT)
%       N0  NT.
% t - ,   .
SatO.orb = fix((NO-1)/8)+1;          %      
SatT.orb = fix((NT-1)/8)+1;          %      

SatO.alpha0 = (mod(NO-8,8)*45+15*floor((NO-1)/8))/180*pi; 
SatT.alpha0 = (mod(NT-8,8)*45+15*floor((NT-1)/8))/180*pi; 
TShift = 1.435e+4;                   %   
%TShift = rand(1, 1) * 12*3600;
%TShift = 1e4;

Rz = 6400e3;            %  
H  = 19100e3;            %    
R  = Rz+H;               %  
incl  = 68.5/180*pi;     %  
T = (86400*7+3600*23+60*27+28)/17;
Norb = 3;                %   
for i=1:Norb
  orb(i).Omega = (i-1)*120/180*pi;   %   
end
for j=1:Norb
  O = orb(j).Omega;
  i = incl;
  orb(j).S2I=[sin(O)  cos(i)*cos(O) -sin(i)*cos(O);   %    
              cos(O) -cos(i)*sin(O)  sin(i)*sin(O);   %      
              0         sin(i)         cos(i)];       %  j- 
end
SatO.X = [R*sin(SatO.alpha0 + 2*pi/T*(t+TShift));
          R*cos(SatO.alpha0 + 2*pi/T*(t+TShift));
          zeros(size(t))]; %      

SatT.X = [R*sin(SatT.alpha0 + 2*pi/T*(t+TShift));
          R*cos(SatT.alpha0 + 2*pi/T*(t+TShift));
          zeros(size(t))]; %      
SatO.X = orb(SatO.orb).S2I * SatO.X;  %      
SatT.X = orb(SatT.orb).S2I * SatT.X;
R = zeros(1, size(t, 2));
for i=1:size(t, 2)
  A = SatO.X(:, i);
  B = SatT.X(:, i);
  R(i) = sqrt((B-A)'*(B-A));           %    
end
out = R;
